Subject: Re: linux-3.0.x regression with ipv4 routes having mtu

From: Steffen Klassert <[email-masked]>
Date: Thu, 2 Feb 2012 11:01:40 +0100

On Wed, Dec 21, 2011 at 03:56:15PM -0500, David Miller wrote:
> 
> Ok, so what you're saying is that we need a way to invalidate inetpeer
> entries, or at least invalidate their cached metrics and set
> INETPEER_METRICS_NEW once more.

In between I tried the approach to invalidate the cached metrics.
Unfortunately, we we can not just set INETPEER_METRICS_NEW once
again and overwrite the existing metrics once the inetpeer
is public. This would require some kind of locking, so I tried
a rcu based approach.

I'll send the patches for review in a new thread.